/**
 * A photo for sharing.
 */
export type SharePhoto = {
  /**
     * The URL to the photo.
     * Note that when sharing SharePhotoContent with Share Button, the imageUrl
     * of a SharePhoto cannot be the Uri of an image on the web.
     */
  imageUrl: string;
  /**
     * Specifies whether the photo was generated by the user or the application.
     */
  userGenerated?: boolean;
  /**
     * The user generated caption for the photo.  Note that the 'caption' must
     * come from the user, as pre-filled content is forbidden by the platform
     * Policies (2.3).
     */
  caption?: string;
};
